> For the complete documentation index, see [llms.txt](https://docs.spyderbat.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spyderbat.com/reference/policies.md).

# Policies

Policies are the main way for users to configure their Spyderbat environment. Policies provide users with a way to generate tailored alerts, and tune out noise. Currently, policies fall under 1 of 2 categories, guardian and suppression.

* Guardian Policies are designed to establish expected behavior of the resources within their scope be it Linux Services, Containers, or Kubernetes Clusters.
* Suppression Policies are a way of tuning out the noise of Spyderbat's built-in detections. While Spydertraces aim at reducing the number of alerts a user should investigate, varying factors can lead to situations where suppression policies are necessary.

| Policy Type   | Category          | Supported Selectors                                        | Supported Response Actions                                                                     | Supports Rulesets |
| ------------- | ----------------- | ---------------------------------------------------------- | ---------------------------------------------------------------------------------------------- | ----------------- |
| linux-service | Guardian Workload | <p>Cluster<br>Machine<br>Service</p>                       | <p>makeRedFlag<br>makeOpsFlag<br>agentKillProcess<br>agentKillProcessGroup</p>                 | No                |
| container     | Guardian Workload | <p>Cluster<br>Machine<br>Namespace<br>Pod<br>Container</p> | <p>makeRedFlag<br>makeOpsFlag<br>agentKillProcess<br>agentKillProcessGroup<br>agentKillPod</p> | No                |
| cluster       | Guardian Ruleset  | Cluster                                                    | <p>makeRedFlag<br>makeOpsFlag<br>agentKillPod</p>                                              | Yes               |
| trace         | Suppression       | <p>Cluster<br>Machine<br>Trace<br>User</p>                 | N/A                                                                                            | No                |

## Related Pages

* [Response Actions](/reference/policies/response-actions.md) - Actions that can be taken by Guardian Policies.
* [Selectors](/reference/selectors.md) - Reference documentation on the various selector types.
* [Rulesets](/reference/rulesets.md) - Rulesets supported by some policies.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.spyderbat.com/reference/policies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
